Skip to main content
POST
Schedule a maintenance window

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Body

application/json
title
string
required

Customer-facing maintenance title

Maximum string length: 500
impact
enum<string>
required

Impact level: NONE, MINOR, MAJOR, or CRITICAL

Available options:
NONE,
MINOR,
MAJOR,
CRITICAL
body
string
required

Initial update body in markdown

Minimum string length: 1
scheduledFor
string<date-time>
required

Maintenance start time

status
enum<string> | null

Initial status (default: INVESTIGATING)

Available options:
INVESTIGATING,
IDENTIFIED,
MONITORING,
RESOLVED
affectedComponents
object[] | null

Component IDs affected by this window

scheduledUntil
string<date-time> | null

Maintenance end time

autoResolve
boolean | null

Auto-resolve at scheduledUntil (default: false)

notifySubscribers
boolean | null

Whether to email confirmed subscribers about this window (default: true)

Response

Created

data
object
required